Developers
API ReferenceMessage Template

Retrieves the collection of MessageTemplate resources

GET
/ticket/message-templates

Retrieves the collection of MessageTemplate resources

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
name?string
order[createdAt]?string
Default"asc"
Value in"asc""desc"
order[name]?string
Default"asc"
Value in"asc""desc"

Response Body

MessageTemplate collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/ticket/message-templates'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "content": "string"  }]